# Before Starting

{% hint style="danger" %}

### Your LuaProt API is not public, which means DO NOT SHARE IT.

{% endhint %}

{% hint style="warning" %}
You have to whitelist your IP, which makes these requests on the dashboard, otherwise your requests get rejected.
{% endhint %}

\
Base URL
--------

`https://luaprot.net`

\
Request Headers
---------------

Always include these following headers in every API request you make.

<pre><code>Content-Type: application/json
<strong>Authorization: <a data-footnote-ref href="#user-content-fn-1">YOUR_API_KEY</a>
</strong></code></pre>

#### Good To Know

* You can make a total of **20 requests per 10 seconds** and **60 requests per minute**. Exceeding this limit will result a <mark style="color:red;">`429`</mark> Http Error Code. (applies for most of the routes)

*Now that you know this, you can start looking at the API endpoints in the next pages.*

[^1]: You can get this on the official luaprot dashboard. <https://luaprot.com/>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luaprot.net/luaprot/api-documentation/before-starting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
